echo "%vagrant ALL=(ALL) NOPASSWD: ALL" > /etc/sudoers.d/vagrant
export DEBIAN_FRONTEND=noninteractive
export PATH=$PATH:/home/vagrant/local/bin

# зависимости
apt-get update
apt-get install -y htop nano libsm6 libxext6 libxrender-dev \
  libicu-dev libpango1.0-dev libcairo2-dev g++ autoconf automake \
  libtool pkg-config libpng-dev libjpeg62-turbo-dev libtiff5-dev \
  zlib1g-dev libicu-dev libleptonica-dev

# Устанавливаем чертежные шрифты в систему
export FONTS_DIR=/usr/local/share/fonts
echo "export FONTS_DIR=$FONTS_DIR" >> /home/vagrant/.bashrc
cp /vagrant/fonts/* $FONTS_DIR
chmod -R 644 $FONTS_DIR
fc-cache -v

# скачиваем и собираем tesseract 4.1.1
cd /
wget https://github.com/tesseract-ocr/tesseract/archive/4.1.1.tar.gz
tar -zxvf 4.1.1.tar.gz
cd /tesseract-4.1.1 || exit 1
mkdir -p $HOME/local/include $HOME/local/lib/pkgconfig
export PKG_CONFIG_PATH=$HOME/local/lib/pkgconfig
./autogen.sh
LIBLEPT_HEADERSDIR=$HOME/local/include ./configure \
  --prefix=$HOME/local/ --with-extra-libraries=$HOME/local/lib
make
make install




